Bug 8285 - Move database schema upgrade from smbtaquery to smbtad
Move database schema upgrade from smbtaquery to smbtad
Status: RESOLVED FIXED
Product: smbta
Classification: Unclassified
Component: smbtad
unspecified
All All
: P5 normal
: ---
Assigned To: Holger Hetterich
:
Depends on: 8206
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-04 11:16 UTC by Robert Piasek
Modified: 2014-04-08 12:45 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Piasek 2011-07-04 11:16:14 UTC
currently SMBTAD's data logging is undergoing massive changes and every new version has different DB structure (or even backend).

Starting with 1.2.6 database and smbtad versions were integrated to database structure. Currently the only way to upgrade DB structure is to use smbtaquery with special params. Unfortunately smbtaquery is part of smbtatools - a separate package.

To make transitions simpler for users, I suggest moving database upgrade part from smbtaquery to smbtad. That way not only we do not require dependency on separate package to perform DB upgrade, but also we're able to upgrade DB structure without user's intervention during package update.
Comment 1 Holger Hetterich 2011-09-06 20:12:03 UTC
This will be the case with 1.2.7
Comment 2 Holger Hetterich 2014-04-08 12:45:41 UTC
There are no database additions planned for 1.2.7, but however, if a change in the db format will come, we will change it in smbtad. Therefore I'll closing this as fixed.